package com.zcloud.mapper.dsno2.corp;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：企业类型主管部门
 * 作者：shaojie
 * 时间：2021-03-18
 * 官网：www.qdkjchina.com
 */
public interface CorpTypeToDeptMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	List<PageData>findByCorpTypeId(PageData pd);
    /**
     * 查询企业类型对应的部门列表
     * @param pd
     * @return
     * @throws Exception
     */
    public List<PageData> listByCorpTypeIds (PageData pd) throws Exception;
}

